SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Quagga Vendors:   quagga.net
Quagga Bug in Processing Certain 4-Byte ASN Data Lets Remote Users Deny Service
SecurityTracker Alert ID:  1022164
SecurityTracker URL:  http://securitytracker.com/id/1022164
CVE Reference:   CVE-2009-1572   (Links to External Site)
Updated:  May 19 2009
Original Entry Date:  May 5 2009
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): 0.99.11
Description:   A vulnerability was reported in Quagga. A remote user can cause denial of service conditions.

A remote BGP peer can send specially crafted 4-byte ASN data to cause the target bgpd service to crash.

The vulnerability resides in 'bgpd/bgp_aspath.c'.

The original advisory is available at:

http://groups.google.com/group/linux.debian.bugs.dist/browse_thread/thread/c2b15dbcccedc2ea

Chris Caputo reported this vulnerability.

Impact:   A remote BGP peer can cause the target bgp service to crash.
Solution:   The vendor has issued a patch, available at:

http://lists.quagga.net/pipermail/quagga-dev/2009-February/006396.html

Vendor URL:  www.quagga.net/ (Links to External Site)
Cause:   State error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC